Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.binaries.tasks
[Groovy] Class Compile

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.plugins.binaries.tasks.Compile

    class Compile
    extends DefaultTask

Property Summary
`Compiler` | `compiler`
`CompileSpec` | `spec`

Method Summary
`void` | `compile()`

Property Detail

### compiler

    Compiler compiler

### spec

    CompileSpec spec

Method Detail

### compile

    @TaskAction
    void compile()

Gradle API 1.1-rc-1